﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RowHeader
{
    public class Model : INotifyPropertyChanged
    {
        private int orderID;
        private string customerId;
        private string country;
        private string customerName;        
        private DateTime datetime;
        private bool isChecked;

        public int OrderID
        {
            get { return orderID; }
            set
            {
                orderID = value;
                RaiseNotifyChanged("OrderID");
            }
        }

        public string CustomerID
        {
            get { return customerId; }
            set
            {
                customerId = value;
                RaiseNotifyChanged("CustomerID");
            }
        }

        public string CustomerName
        {
            get { return customerName; }
            set
            {
                customerName = value;
                RaiseNotifyChanged("CustomerName");
            }
        }

        public string Country
        {
            get { return country; }
            set
            {
                country = value;
                RaiseNotifyChanged("Country");
            }
        }
  

        public bool IsChecked
        {
            get { return isChecked; }
            set
            {
                isChecked = value;
                RaiseNotifyChanged("IsChecked");
            }
        }

        public DateTime Date
        {
            get
            {
                return datetime;
            }
            set
            {
                datetime = value;
            }
        }

        public Model(int orderId, string customerName, string country, string customerId, 
            bool isChecked, DateTime date)
        {
            this.OrderID = orderId;
            this.CustomerName = customerName;
            this.Country = country;
            this.CustomerID = customerId;            
            this.IsChecked = isChecked;
            this.Date = date;
        }

        public event PropertyChangedEventHandler PropertyChanged;

        public void RaiseNotifyChanged(String prop)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(prop));
            }
        }
    }
}
